Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002976Piwigoweb APIpublic2013.10.18 22:292013.11.13 13:58
Reportermistic100 
Assigned Tomistic100 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.6.0beta2Fixed in Version2.6.0beta2 
Summary0002976: API methods for users and groups management
DescriptionAs it said :)
Additional Informationhttp://piwigo.org/forum/viewtopic.php?pid=140945#p140945 [^]
http://piwigo.org/ext/extension_view.php?eid=713 [^]
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0007149)
plg (manager)
2013.10.18 22:51

It makes think about http://piwigo.org/ext/extension_view.php?eid=713 [^] which adds method pwg.users.add
(0007152)
mistic100 (developer)
2013.10.18 23:03

perhaps all methods pwg.groups.* and pwg.users.* from this plugin could be added
(0007153)
plg (manager)
2013.10.18 23:06

The code must be reviewed but yes, these methods are missing. I know that Vladimir is also expecting them to let users manage permissions directly from Lightroom.
(0007191)
svn (reporter)
2013.10.24 15:38

[Subversion] r25117 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2976: API methods for users and groups management
TODO : methods to manage albums permissions
(0007192)
svn (reporter)
2013.10.24 18:21

[Subversion] r25118 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2976: can change user status and level
fix saving problem of groups.is_default value
use WS_PARAM_OPTIONAL when possible (TODO: use for old methods)
(0007204)
svn (reporter)
2013.10.28 18:20

[Subversion] r25195 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2976: new options for pwg.users.setInfo + user_id can be an array
(0007205)
svn (reporter)
2013.10.28 18:53

[Subversion] r25196 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2976: add 'display' parameter for pwg.users.getList
(0007211)
svn (reporter)
2013.10.30 21:29

[Subversion] r25245 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2976: add three methods for permissions management
(0007212)
svn (reporter)
2013.10.30 21:32

[Subversion] r25246 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2976: correct description of pwg.permissions.getList
(0007216)
svn (reporter)
2013.11.01 13:37

[Subversion] r25282 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2976: pwg.users.delete requires pwg_token
(0007237)
svn (reporter)
2013.11.11 18:30

[Subversion] r25459 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2976: add output fields for pwg.users.getList. registration_date,
registration_date_string, registration_date_since, last_visit,
last_visit_string, last_visit_since.

bug fixed: format_date(), removing leading zero on day number
(0007238)
svn (reporter)
2013.11.11 23:11

[Subversion] r25461 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2976: makes sure we output registration_date if registration_date_* is requested (same for last_visit_*)
(0007244)
svn (reporter)
2013.11.13 12:08

[Subversion] r25472 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2976: improve lisiblity of pwg.users.getList options on APi explore + optimizations (remove in_array())
(0007245)
svn (reporter)
2013.11.13 13:58

[Subversion] r25474 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2976: ability to set group association with pwg.users.setInfo

- Issue History
Date Modified Username Field Change
2013.10.18 22:29 mistic100 New Issue
2013.10.18 22:29 mistic100 browser => any
2013.10.18 22:29 mistic100 Web server => Apache 1.3.x
2013.10.18 22:51 plg Note Added: 0007149
2013.10.18 23:03 mistic100 Note Added: 0007152
2013.10.18 23:06 plg Note Added: 0007153
2013.10.21 16:50 mistic100 Summary API method to register => API methods for users and groups management
2013.10.21 16:50 mistic100 Additional Information Updated
2013.10.21 20:41 mistic100 Assigned To => mistic100
2013.10.21 20:41 mistic100 Status new => assigned
2013.10.21 20:41 mistic100 Category authentication => web API
2013.10.24 15:38 svn Checkin
2013.10.24 15:38 svn Note Added: 0007191
2013.10.24 18:21 svn Checkin
2013.10.24 18:21 svn Note Added: 0007192
2013.10.28 18:20 svn Checkin
2013.10.28 18:20 svn Note Added: 0007204
2013.10.28 18:53 svn Checkin
2013.10.28 18:53 svn Note Added: 0007205
2013.10.30 21:29 svn Checkin
2013.10.30 21:29 svn Note Added: 0007211
2013.10.30 21:32 svn Checkin
2013.10.30 21:32 svn Note Added: 0007212
2013.11.01 13:37 svn Checkin
2013.11.01 13:37 svn Note Added: 0007216
2013.11.01 13:49 mistic100 Status assigned => closed
2013.11.01 13:49 mistic100 Resolution open => fixed
2013.11.01 13:49 mistic100 Fixed in Version => 2.6.0beta2
2013.11.11 18:30 svn Checkin
2013.11.11 18:30 svn Note Added: 0007237
2013.11.11 23:11 svn Checkin
2013.11.11 23:11 svn Note Added: 0007238
2013.11.13 12:08 svn Checkin
2013.11.13 12:08 svn Note Added: 0007244
2013.11.13 13:58 svn Checkin
2013.11.13 13:58 svn Note Added: 0007245


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker